com.mapinfo.midev.language.aggregation

## Class AggregationCapabilities

- java.lang.Object
- - com.mapinfo.midev.language.aggregation.AggregationCapabilities

All Implemented Interfaces:
  ILanguageCapabilities

    public final class AggregationCapabilities
    extends Object
    implements ILanguageCapabilities

Metadata about which aspects of the `AggregationLanguage` that an `IDataSourceTable` supports. Use the `AggregationCapabilitiesBuilder` to create an instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`AvgAggregationCapability` `getAvgAggregationCapability()` Returns the `AvgAggregationCapability` or `null` if the `AVG` aggregation is not supported.
`CentroidAggregationCapability` `getCentroidAggregationCapability()` Returns the `CentroidAggregationCapability` or `null` if the `IDataSourceTable` does not support getting centroid of the aggregating envelope of all the geometries in a column.
`CountAllAggregationCapability` `getCountAllAggregationCapability()` Returns the `CountAllAggregationCapability` or `null` if the `COUNT(*)` aggregation is not supported.
`CountDistinctAggregationCapability` `getCountDistinctAggregationCapability()` Returns the `CountDistinctAggregationCapability` or `null` if the `COUNT(attributeName)` aggregation is not supported.
`GroupByAggregationCapability` `getGroupByAggregationCapability()` Returns the `GroupByAggregationCapability` or `null` if the `GROUP BY attributeName` aggregation is not supported.
`ILanguage` `getLanguage()` Returns `AggregationLanguage.getInstance()`
`MajorityAggregationCapability` `getMajorityAggregationCapability()` Returns the `MajorityAggregationCapability` or `null` if the `MAJORITY(attributeName)` aggregation is not supported.
`MaxAggregationCapability` `getMaxAggregationCapability()` Returns the `MaxAggregationCapability` or `null` if the `MAX(attributeName)` aggregation is not supported.
`MbrAggregationCapability` `getMbrAggregationCapability()` Returns the `MbrAggregationCapability` or `null` if the `IDataSourceTable` does not support aggregating the envelopes of all the geometries in a column.
`MedianAggregationCapability` `getMedianAggregationCapability()` Returns the `MedianAggregationCapability` or `null` if the `MEDIAN(attributeName)` aggregation is not supported.
`MinAggregationCapability` `getMinAggregationCapability()` Returns the `MinAggregationCapability` or `null` if the `MIN(attributeName)` aggregation is not supported.
`ModeAggregationCapability` `getModeAggregationCapability()` Returns the `ModeAggregationCapability` or `null` if the `MODE(attributeName)` aggregation is not supported.
`OrderByAggregationCapability` `getOrderByAggregationCapability()` Returns the `OrderByAggregationCapability` or `null` if the `IDataSourceTable` does not support ordering the results of an aggregation.
`SameAggregationCapability` `getSameAggregationCapability()` Returns the `SameAggregationCapability` or `null` if the `SAME(attributeName)` aggregation is not supported.
`ScaleAggregationCapability` `getScaleAggregationCapability()` Returns the `ScaleAggregationCapability` or `null` if the `SCALE(attributeName)` aggregation is not supported.
`StdDevAggregationCapability` `getStdDevAggregationCapability()` Returns the `StdDevAggregationCapability` or `null` if the `STDDEV(attributeName)` aggregation is not supported.
`SumAggregationCapability` `getSumAggregationCapability()` Returns the `SumAggregationCapability` or `null` if the `SUM(attributeName)` aggregation is not supported.
`UnionAggregationCapability` `getUnionAggregationCapability()` Returns the `UnionAggregationCapability` or `null` if the `IDataSourceTable` does not support aggregating all the geometries in a column.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getLanguage

    public ILanguage getLanguage()

Returns `AggregationLanguage.getInstance()`

Specified by:
  `getLanguage` in interface `ILanguageCapabilities`
Returns:
  `AggregationLanguage.getInstance()`

#### getAvgAggregationCapability

    public AvgAggregationCapability getAvgAggregationCapability()

Returns the `AvgAggregationCapability` or `null` if the `AVG` aggregation is not supported.

Returns:
  the `AvgAggregationCapability` or `null` if the `AVG` aggregation is not supported.

#### getCountAllAggregationCapability

    public CountAllAggregationCapability getCountAllAggregationCapability()

Returns the `CountAllAggregationCapability` or `null` if the `COUNT(*)` aggregation is not supported.

Returns:
  the `CountAllAggregationCapability` or `null` if the `COUNT(*)` aggregation is not supported.

#### getCountDistinctAggregationCapability

    public CountDistinctAggregationCapability getCountDistinctAggregationCapability()

Returns the `CountDistinctAggregationCapability` or `null` if the `COUNT(attributeName)` aggregation is not supported.

Returns:
  the `CountDistinctAggregationCapability` or `null` if the `COUNT(attributeName)` aggregation is not supported.

#### getGroupByAggregationCapability

    public GroupByAggregationCapability getGroupByAggregationCapability()

Returns the `GroupByAggregationCapability` or `null` if the `GROUP BY attributeName` aggregation is not supported.

Returns:
  the `GroupByAggregationCapability` or `null` if the `GROUP BY attributeName` aggregation is not supported.

#### getMaxAggregationCapability

    public MaxAggregationCapability getMaxAggregationCapability()

Returns the `MaxAggregationCapability` or `null` if the `MAX(attributeName)` aggregation is not supported.

Returns:
  the `MaxAggregationCapability` or `null` if the `MAX(attributeName)` aggregation is not supported.

#### getMbrAggregationCapability

    public MbrAggregationCapability getMbrAggregationCapability()

Returns the `MbrAggregationCapability` or `null` if the `IDataSourceTable` does not support aggregating the envelopes of all the geometries in a column.

Returns:
  the `MbrAggregationCapability` or `null` if the `IDataSourceTable` does not support aggregating the envelopes of all the geometries in a column.

#### getMinAggregationCapability

    public MinAggregationCapability getMinAggregationCapability()

Returns the `MinAggregationCapability` or `null` if the `MIN(attributeName)` aggregation is not supported.

Returns:
  the `MinAggregationCapability` or `null` if the `MIN(attributeName)` aggregation is not supported.

#### getStdDevAggregationCapability

    public StdDevAggregationCapability getStdDevAggregationCapability()

Returns the `StdDevAggregationCapability` or `null` if the `STDDEV(attributeName)` aggregation is not supported.

Returns:
  the `StdDevAggregationCapability` or `null` if the `STDDEV(attributeName)` aggregation is not supported.

#### getSumAggregationCapability

    public SumAggregationCapability getSumAggregationCapability()

Returns the `SumAggregationCapability` or `null` if the `SUM(attributeName)` aggregation is not supported.

Returns:
  the `SumAggregationCapability` or `null` if the `SUM(attributeName)` aggregation is not supported.

#### getMedianAggregationCapability

    public MedianAggregationCapability getMedianAggregationCapability()

Returns the `MedianAggregationCapability` or `null` if the `MEDIAN(attributeName)` aggregation is not supported.

Returns:
  the `MedianAggregationCapability` or `null` if the `MEDIAN(attributeName)` aggregation is not supported.

#### getUnionAggregationCapability

    public UnionAggregationCapability getUnionAggregationCapability()

Returns the `UnionAggregationCapability` or `null` if the `IDataSourceTable` does not support aggregating all the geometries in a column.

Returns:
  the `UnionAggregationCapability` or `null` if the `IDataSourceTable` does not support aggregating all the geometries in a column.

#### getOrderByAggregationCapability

    public OrderByAggregationCapability getOrderByAggregationCapability()

Returns the `OrderByAggregationCapability` or `null` if the `IDataSourceTable` does not support ordering the results of an aggregation.

Returns:
  the `OrderByAggregationCapability` or `null` if the `IDataSourceTable` does not support ordering the results of an aggregation.

#### getModeAggregationCapability

    public ModeAggregationCapability getModeAggregationCapability()

Returns the `ModeAggregationCapability` or `null` if the `MODE(attributeName)` aggregation is not supported.

Returns:
  the `ModeAggregationCapability` or `null` if the `MODE(attributeName)` aggregation is not supported.

#### getMajorityAggregationCapability

    public MajorityAggregationCapability getMajorityAggregationCapability()

Returns the `MajorityAggregationCapability` or `null` if the `MAJORITY(attributeName)` aggregation is not supported.

Returns:
  the `MajorityAggregationCapability` or `null` if the `MAJORITY(attributeName)` aggregation is not supported.

#### getSameAggregationCapability

    public SameAggregationCapability getSameAggregationCapability()

Returns the `SameAggregationCapability` or `null` if the `SAME(attributeName)` aggregation is not supported.

Returns:
  the `SameAggregationCapability` or `null` if the `SAME(attributeName)` aggregation is not supported.

#### getScaleAggregationCapability

    public ScaleAggregationCapability getScaleAggregationCapability()

Returns the `ScaleAggregationCapability` or `null` if the `SCALE(attributeName)` aggregation is not supported.

Returns:
  the `ScaleAggregationCapability` or `null` if the `SCALE(attributeName)` aggregation is not supported.

#### getCentroidAggregationCapability

    public CentroidAggregationCapability getCentroidAggregationCapability()

Returns the `CentroidAggregationCapability` or `null` if the `IDataSourceTable` does not support getting centroid of the aggregating envelope of all the geometries in a column.

Returns:
  the `CentroidAggregationCapability` or `null` if the `IDataSourceTable` does not support getting centroid of the aggregating envelope of all the geometries in a column.